#!/usr/bin/env fish

set filter 'pan=mono|c0=0.5*FL+-0.5*FR,silenceremove=start_periods=1:detection=peak'

for f in (find . -type f \( -name "*.ogg"  -o \
                            -name "*.flac" -o \
                            -name "*.mp3"  -o \
                            -name "*.opus" \))
	set out (ffprobe "$f" 2>/dev/null | rg "album_artist")

	if test ! "$out"
		echo "$f has no album artist tag"
	end
end

## EOF
