#!/usr/bin/env fish

run-qemu i386 \
	--drive file=image,format=qcow2,media=disk \
	--drive file="$m/Boot Disks/98SE.img",format=raw,if=floppy,readonly \
	--drive file="$m/MS Windows/98 2nd Edition/98SE.iso",media=cdrom,readonly \
	-m 384 \
	--boot order=d \
	--vga cirrus \
	--net nic,model=rtl8139 \
	--net user \
	--usb \
	--soundhw ac97

## EOF
